libstdc++: __gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory > Class Template Reference

libstdc++

__gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory > Class Template Reference

`#include <iterator.h>`

## Public Types
typedef std::iterator_traits< _Iterator1 >::difference_type | difference_type
typedef _IteratorCategory | iterator_category
typedef _IteratorTriple * | pointer
typedef _IteratorTriple & | reference
typedef void | value_type

## Public Member Functions
| _IteratorTriple (const _Iterator1 &__first, const _Iterator2 &__second, const _Iterator3 &__third)
| operator _Iterator3 () const
_IteratorTriple | operator+ (difference_type __delta) const
_IteratorTriple & | operator++ ()
const _IteratorTriple | operator++ (int)
difference_type | operator- (const _IteratorTriple &__other) const
_IteratorTriple & | operator-- ()
const _IteratorTriple | operator-- (int)
_IteratorTriple & | operator= (const _IteratorTriple &__other)

## Public Attributes
_Iterator1 | _M_first
_Iterator2 | _M_second
_Iterator3 | _M_third

## Detailed Description

template<typename _Iterator1, typename _Iterator2, typename _Iterator3, typename _IteratorCategory>
class __gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >

A triple of iterators. The usual iterator operations are applied to all three child iterators.

Definition at line 120 of file iterator.h.

## Member Typedef Documentation

## ◆ difference_type

template<typename _Iterator1, typename _Iterator2, typename _Iterator3, typename _IteratorCategory>

typedef std::iterator_traits<_Iterator1>::difference_type __gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >::difference_type

Definition at line 126 of file iterator.h.

## ◆ iterator_category

template<typename _Iterator1, typename _Iterator2, typename _Iterator3, typename _IteratorCategory>

typedef _IteratorCategory __gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >::iterator_category

Definition at line 123 of file iterator.h.

## ◆ pointer

template<typename _Iterator1, typename _Iterator2, typename _Iterator3, typename _IteratorCategory>

typedef _IteratorTriple* __gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >::pointer

Definition at line 127 of file iterator.h.

## ◆ reference

template<typename _Iterator1, typename _Iterator2, typename _Iterator3, typename _IteratorCategory>

typedef _IteratorTriple& __gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >::reference

Definition at line 128 of file iterator.h.

## ◆ value_type

template<typename _Iterator1, typename _Iterator2, typename _Iterator3, typename _IteratorCategory>

typedef void __gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >::value_type

Definition at line 124 of file iterator.h.

## Constructor & Destructor Documentation

## ◆ _IteratorTriple() [1/2]

template<typename _Iterator1, typename _Iterator2, typename _Iterator3, typename _IteratorCategory>

__gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >::_IteratorTriple | ( |  | ) |
| inline

Definition at line 134 of file iterator.h.

## ◆ _IteratorTriple() [2/2]

template<typename _Iterator1, typename _Iterator2, typename _Iterator3, typename _IteratorCategory>

__gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >::_IteratorTriple | ( | const _Iterator1 & | __first,
|  | const _Iterator2 & | __second,
|  | const _Iterator3 & | __third )
| inline

Definition at line 136 of file iterator.h.

## Member Function Documentation

## ◆ operator _Iterator3()

template<typename _Iterator1, typename _Iterator2, typename _Iterator3, typename _IteratorCategory>

__gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >::operator _Iterator3 | ( |  | ) | const
| inline

Definition at line 175 of file iterator.h.

## ◆ operator+()

template<typename _Iterator1, typename _Iterator2, typename _Iterator3, typename _IteratorCategory>

_IteratorTriple __gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >::operator+ | ( | difference_type | __delta | ) | const
| inline

Definition at line 188 of file iterator.h.

## ◆ operator++() [1/2]

template<typename _Iterator1, typename _Iterator2, typename _Iterator3, typename _IteratorCategory>

_IteratorTriple & __gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >::operator++ | ( |  | ) |
| inline

Definition at line 146 of file iterator.h.

## ◆ operator++() [2/2]

template<typename _Iterator1, typename _Iterator2, typename _Iterator3, typename _IteratorCategory>

const _IteratorTriple __gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >::operator++ | ( | int |  | ) |
| inline

Definition at line 156 of file iterator.h.

## ◆ operator-()

template<typename _Iterator1, typename _Iterator2, typename _Iterator3, typename _IteratorCategory>

difference_type __gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >::operator- | ( | const _IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory > & | __other | ) | const
| inline

Definition at line 193 of file iterator.h.

## ◆ operator--() [1/2]

template<typename _Iterator1, typename _Iterator2, typename _Iterator3, typename _IteratorCategory>

_IteratorTriple & __gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >::operator-- | ( |  | ) |
| inline

Definition at line 161 of file iterator.h.

## ◆ operator--() [2/2]

template<typename _Iterator1, typename _Iterator2, typename _Iterator3, typename _IteratorCategory>

const _IteratorTriple __gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >::operator-- | ( | int |  | ) |
| inline

Definition at line 171 of file iterator.h.

## ◆ operator=()

template<typename _Iterator1, typename _Iterator2, typename _Iterator3, typename _IteratorCategory>

_IteratorTriple & __gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >::operator= | ( | const _IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory > & | __other | ) |
| inline

Definition at line 179 of file iterator.h.

## Member Data Documentation

## ◆ _M_first

template<typename _Iterator1, typename _Iterator2, typename _Iterator3, typename _IteratorCategory>

_Iterator1 __gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >::_M_first

Definition at line 130 of file iterator.h.

## ◆ _M_second

template<typename _Iterator1, typename _Iterator2, typename _Iterator3, typename _IteratorCategory>

_Iterator2 __gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >::_M_second

Definition at line 131 of file iterator.h.

## ◆ _M_third

template<typename _Iterator1, typename _Iterator2, typename _Iterator3, typename _IteratorCategory>

_Iterator3 __gnu_parallel::_IteratorTriple< _Iterator1, _Iterator2, _Iterator3, _IteratorCategory >::_M_third

Definition at line 132 of file iterator.h.

The documentation for this class was generated from the following file:

- iterator.h